com.sun.syndication.feed.synd

## Class SyndPersonImpl

- java.lang.Object
- - com.sun.syndication.feed.synd.SyndPersonImpl

All Implemented Interfaces:
  Extendable, SyndPerson, java.io.Serializable, java.lang.Cloneable

    public class SyndPersonImpl
    extends java.lang.Object
    implements java.io.Serializable, SyndPerson

Bean for authors and contributors of SyndFeedImpl feeds and entries.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyndPersonImpl()` For implementations extending SyndContentImpl to be able to use the ObjectBean functionality with extended interfaces.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getEmail()` Returns the person's e-mail address.
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the person modules.
`java.lang.String` `getName()` Returns the person name.
`java.lang.String` `getUri()` Returns the person's URI.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setEmail(java.lang.String email)` Sets the person's e-mail address.
`void` `setModules(java.util.List modules)` Sets the person modules.
`void` `setName(java.lang.String name)` Sets the category name.
`void` `setUri(java.lang.String uri)` Sets the person's URI.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyndPersonImpl

    public SyndPersonImpl()

For implementations extending SyndContentImpl to be able to use the ObjectBean functionality with extended interfaces.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Specified by:
  `clone` in interface `SyndPerson`
Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getName

    public java.lang.String getName()

Returns the person name.

Specified by:
  `getName` in interface `SyndPerson`
Returns:
  the person name, null if none.

#### setName

    public void setName(java.lang.String name)

Sets the category name.

Specified by:
  `setName` in interface `SyndPerson`
Parameters:
  `name` - the category name to set, null if none.

#### getEmail

    public java.lang.String getEmail()

Returns the person's e-mail address.

Specified by:
  `getEmail` in interface `SyndPerson`
Returns:
  the person's e-mail address, null if none.

#### setEmail

    public void setEmail(java.lang.String email)

Sets the person's e-mail address.

Specified by:
  `setEmail` in interface `SyndPerson`
Parameters:
  `email` - The person's e-mail address to set, null if none.

#### getUri

    public java.lang.String getUri()

Returns the person's URI.

Specified by:
  `getUri` in interface `SyndPerson`
Returns:
  the person's URI, null if none.

#### setUri

    public void setUri(java.lang.String uri)

Sets the person's URI.

Specified by:
  `setUri` in interface `SyndPerson`
Parameters:
  `uri` - the peron's URI to set, null if none.

#### getModules

    public java.util.List getModules()

Returns the person modules.

Specified by:
  `getModules` in interface `Extendable`
Returns:
  a list of ModuleImpl elements with the person modules, an empty list if none.

#### setModules

    public void setModules(java.util.List modules)

Sets the person modules.

Specified by:
  `setModules` in interface `Extendable`
Parameters:
  `modules` - the list of ModuleImpl elements with the person modules to set, an empty list or null if none.

#### getModule

    public Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Specified by:
  `getModule` in interface `Extendable`
Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.